package io.dekorate.application.config;

import java.lang.StringBuffer;
import java.lang.StringBuilder;
import io.dekorate.deps.kubernetes.api.builder.Fluent;
import java.lang.String;
import java.lang.Boolean;

public interface ContactFluent<A extends ContactFluent<A>> extends Fluent<A>{


    public String getName();
    public A withName(String name);
    public Boolean hasName();
    public A withNewName(String arg1);
    public A withNewName(StringBuilder arg1);
    public A withNewName(StringBuffer arg1);
    public String getEmail();
    public A withEmail(String email);
    public Boolean hasEmail();
    public A withNewEmail(String arg1);
    public A withNewEmail(StringBuilder arg1);
    public A withNewEmail(StringBuffer arg1);
    public String getUrl();
    public A withUrl(String url);
    public Boolean hasUrl();
    public A withNewUrl(String arg1);
    public A withNewUrl(StringBuilder arg1);
    public A withNewUrl(StringBuffer arg1);



}
