package io.dekorate.application.config;

import java.lang.StringBuffer;
import java.lang.StringBuilder;
import io.dekorate.deps.kubernetes.api.builder.BaseFluent;
import java.lang.Object;
import java.lang.String;
import java.lang.Boolean;

public class ContactFluentImpl<A extends ContactFluent<A>> extends io.dekorate.deps.kubernetes.api.builder.BaseFluent<A> implements ContactFluent<A>{

    private String name;
    private String email;
    private String url;

    public ContactFluentImpl(){
    }
    public ContactFluentImpl(io.dekorate.application.config.Contact instance){
            this.withName(instance.getName()); 
            this.withEmail(instance.getEmail()); 
            this.withUrl(instance.getUrl()); 
    }

    public String getName(){
            return this.name;
    }

    public A withName(String name){
            this.name=name; return (A) this;
    }

    public Boolean hasName(){
            return this.name != null;
    }

    public A withNewName(String arg1){
            return (A)withName(new String(arg1));
    }

    public A withNewName(StringBuilder arg1){
            return (A)withName(new String(arg1));
    }

    public A withNewName(StringBuffer arg1){
            return (A)withName(new String(arg1));
    }

    public String getEmail(){
            return this.email;
    }

    public A withEmail(String email){
            this.email=email; return (A) this;
    }

    public Boolean hasEmail(){
            return this.email != null;
    }

    public A withNewEmail(String arg1){
            return (A)withEmail(new String(arg1));
    }

    public A withNewEmail(StringBuilder arg1){
            return (A)withEmail(new String(arg1));
    }

    public A withNewEmail(StringBuffer arg1){
            return (A)withEmail(new String(arg1));
    }

    public String getUrl(){
            return this.url;
    }

    public A withUrl(String url){
            this.url=url; return (A) this;
    }

    public Boolean hasUrl(){
            return this.url != null;
    }

    public A withNewUrl(String arg1){
            return (A)withUrl(new String(arg1));
    }

    public A withNewUrl(StringBuilder arg1){
            return (A)withUrl(new String(arg1));
    }

    public A withNewUrl(StringBuffer arg1){
            return (A)withUrl(new String(arg1));
    }

    public boolean equals(Object o){
            if (this == o) return true;
            if (o == null || getClass() != o.getClass()) return false;
            ContactFluentImpl that = (ContactFluentImpl) o;
            if (name != null ? !name.equals(that.name) :that.name != null) return false;
            if (email != null ? !email.equals(that.email) :that.email != null) return false;
            if (url != null ? !url.equals(that.url) :that.url != null) return false;
            return true;
    }




}
