package io.dekorate.application.config;

import io.dekorate.kubernetes.config.ConfigKey;
import java.lang.String;
import io.dekorate.project.Project;
import io.dekorate.deps.kubernetes.api.builder.Editable;
import java.lang.Object;
import java.util.Map;

public class EditableApplicationConfig extends ApplicationConfig implements io.dekorate.deps.kubernetes.api.builder.Editable<ApplicationConfigBuilder>{


    public EditableApplicationConfig(){
            super();
    }
    public EditableApplicationConfig(Project project,Map<ConfigKey,Object> attributes,String group,String name,String version,io.dekorate.application.config.Contact[] owners,io.dekorate.application.config.Contact[] maintainers,io.dekorate.application.config.Info[] info,io.dekorate.application.config.Icon[] icons,io.dekorate.application.config.Link[] links,String notes,String[] keywords){
            super(project, attributes, group, name, version, owners, maintainers, info, icons, links, notes, keywords);
    }

    public ApplicationConfigBuilder edit(){
            return new ApplicationConfigBuilder(this);
    }




}
