package io.dekorate.application.config;

import java.lang.StringBuffer;
import java.lang.StringBuilder;
import io.dekorate.deps.kubernetes.api.builder.BaseFluent;
import java.lang.Object;
import java.lang.String;
import java.lang.Boolean;

public class IconFluentImpl<A extends IconFluent<A>> extends io.dekorate.deps.kubernetes.api.builder.BaseFluent<A> implements IconFluent<A>{

    private String type;
    private String src;
    private String size;

    public IconFluentImpl(){
    }
    public IconFluentImpl(io.dekorate.application.config.Icon instance){
            this.withType(instance.getType()); 
            this.withSrc(instance.getSrc()); 
            this.withSize(instance.getSize()); 
    }

    public String getType(){
            return this.type;
    }

    public A withType(String type){
            this.type=type; return (A) this;
    }

    public Boolean hasType(){
            return this.type != null;
    }

    public A withNewType(String arg1){
            return (A)withType(new String(arg1));
    }

    public A withNewType(StringBuilder arg1){
            return (A)withType(new String(arg1));
    }

    public A withNewType(StringBuffer arg1){
            return (A)withType(new String(arg1));
    }

    public String getSrc(){
            return this.src;
    }

    public A withSrc(String src){
            this.src=src; return (A) this;
    }

    public Boolean hasSrc(){
            return this.src != null;
    }

    public A withNewSrc(String arg1){
            return (A)withSrc(new String(arg1));
    }

    public A withNewSrc(StringBuilder arg1){
            return (A)withSrc(new String(arg1));
    }

    public A withNewSrc(StringBuffer arg1){
            return (A)withSrc(new String(arg1));
    }

    public String getSize(){
            return this.size;
    }

    public A withSize(String size){
            this.size=size; return (A) this;
    }

    public Boolean hasSize(){
            return this.size != null;
    }

    public A withNewSize(String arg1){
            return (A)withSize(new String(arg1));
    }

    public A withNewSize(StringBuilder arg1){
            return (A)withSize(new String(arg1));
    }

    public A withNewSize(StringBuffer arg1){
            return (A)withSize(new String(arg1));
    }

    public boolean equals(Object o){
            if (this == o) return true;
            if (o == null || getClass() != o.getClass()) return false;
            IconFluentImpl that = (IconFluentImpl) o;
            if (type != null ? !type.equals(that.type) :that.type != null) return false;
            if (src != null ? !src.equals(that.src) :that.src != null) return false;
            if (size != null ? !size.equals(that.size) :that.size != null) return false;
            return true;
    }




}
