package io.dekorate.application.config;

import java.lang.String;
import io.sundr.builder.annotations.Buildable;

@Buildable(builderPackage = "io.dekorate.deps.kubernetes.api.builder") public class Info{

    private String name;
    private String value = "";
    private String type = "";
    private String valueFrom = "";

    public Info(){
    }
    public Info(String name,String value,String type,String valueFrom){
            this.name = name;
            this.value = value != null ? value : "";
            this.type = type != null ? type : "";
            this.valueFrom = valueFrom != null ? valueFrom : "";
    }

    public String getName(){
            return this.name;
    }

    public String getValue(){
            return this.value;
    }

    public String getType(){
            return this.type;
    }

    public String getValueFrom(){
            return this.valueFrom;
    }




}
