package io.dekorate.application.config;

import java.lang.StringBuffer;
import java.lang.StringBuilder;
import io.dekorate.deps.kubernetes.api.builder.Fluent;
import java.lang.String;
import java.lang.Boolean;

public interface InfoFluent<A extends InfoFluent<A>> extends Fluent<A>{


    public String getName();
    public A withName(String name);
    public Boolean hasName();
    public A withNewName(String arg1);
    public A withNewName(StringBuilder arg1);
    public A withNewName(StringBuffer arg1);
    public String getValue();
    public A withValue(String value);
    public Boolean hasValue();
    public A withNewValue(String arg1);
    public A withNewValue(StringBuilder arg1);
    public A withNewValue(StringBuffer arg1);
    public String getType();
    public A withType(String type);
    public Boolean hasType();
    public A withNewType(String arg1);
    public A withNewType(StringBuilder arg1);
    public A withNewType(StringBuffer arg1);
    public String getValueFrom();
    public A withValueFrom(String valueFrom);
    public Boolean hasValueFrom();
    public A withNewValueFrom(String arg1);
    public A withNewValueFrom(StringBuilder arg1);
    public A withNewValueFrom(StringBuffer arg1);



}
