package io.dekorate.application.config;

import java.lang.StringBuffer;
import java.lang.StringBuilder;
import io.dekorate.deps.kubernetes.api.builder.BaseFluent;
import java.lang.Object;
import java.lang.String;
import java.lang.Boolean;

public class InfoFluentImpl<A extends InfoFluent<A>> extends io.dekorate.deps.kubernetes.api.builder.BaseFluent<A> implements InfoFluent<A>{

    private String name;
    private String value = "";
    private String type = "";
    private String valueFrom = "";

    public InfoFluentImpl(){
    }
    public InfoFluentImpl(io.dekorate.application.config.Info instance){
            this.withName(instance.getName()); 
            this.withValue(instance.getValue()); 
            this.withType(instance.getType()); 
            this.withValueFrom(instance.getValueFrom()); 
    }

    public String getName(){
            return this.name;
    }

    public A withName(String name){
            this.name=name; return (A) this;
    }

    public Boolean hasName(){
            return this.name != null;
    }

    public A withNewName(String arg1){
            return (A)withName(new String(arg1));
    }

    public A withNewName(StringBuilder arg1){
            return (A)withName(new String(arg1));
    }

    public A withNewName(StringBuffer arg1){
            return (A)withName(new String(arg1));
    }

    public String getValue(){
            return this.value;
    }

    public A withValue(String value){
            this.value=value; return (A) this;
    }

    public Boolean hasValue(){
            return this.value != null;
    }

    public A withNewValue(String arg1){
            return (A)withValue(new String(arg1));
    }

    public A withNewValue(StringBuilder arg1){
            return (A)withValue(new String(arg1));
    }

    public A withNewValue(StringBuffer arg1){
            return (A)withValue(new String(arg1));
    }

    public String getType(){
            return this.type;
    }

    public A withType(String type){
            this.type=type; return (A) this;
    }

    public Boolean hasType(){
            return this.type != null;
    }

    public A withNewType(String arg1){
            return (A)withType(new String(arg1));
    }

    public A withNewType(StringBuilder arg1){
            return (A)withType(new String(arg1));
    }

    public A withNewType(StringBuffer arg1){
            return (A)withType(new String(arg1));
    }

    public String getValueFrom(){
            return this.valueFrom;
    }

    public A withValueFrom(String valueFrom){
            this.valueFrom=valueFrom; return (A) this;
    }

    public Boolean hasValueFrom(){
            return this.valueFrom != null;
    }

    public A withNewValueFrom(String arg1){
            return (A)withValueFrom(new String(arg1));
    }

    public A withNewValueFrom(StringBuilder arg1){
            return (A)withValueFrom(new String(arg1));
    }

    public A withNewValueFrom(StringBuffer arg1){
            return (A)withValueFrom(new String(arg1));
    }

    public boolean equals(Object o){
            if (this == o) return true;
            if (o == null || getClass() != o.getClass()) return false;
            InfoFluentImpl that = (InfoFluentImpl) o;
            if (name != null ? !name.equals(that.name) :that.name != null) return false;
            if (value != null ? !value.equals(that.value) :that.value != null) return false;
            if (type != null ? !type.equals(that.type) :that.type != null) return false;
            if (valueFrom != null ? !valueFrom.equals(that.valueFrom) :that.valueFrom != null) return false;
            return true;
    }




}
